> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spendin.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the webhook config

> Reports the URL and whether a secret is set. The secret itself is never returned.



## OpenAPI

````yaml /openapi.json get /v1/webhooks/config
openapi: 3.0.0
info:
  title: Spendin Merchant API
  description: Cross-border remittance and financial services API
  version: '1.0'
  contact: {}
servers:
  - url: https://api.spendin.app
    description: Production
security:
  - api-key: []
tags: []
paths:
  /v1/webhooks/config:
    get:
      tags:
        - webhooks
      summary: Get the webhook config
      description: >-
        Reports the URL and whether a secret is set. The secret itself is never
        returned.
      operationId: WebhooksController_getConfig
      parameters: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookConfigResponseDto'
      security:
        - api-key: []
components:
  schemas:
    WebhookConfigResponseDto:
      type: object
      properties:
        webhook_url:
          type: object
          nullable: true
          example: https://merchant.example.com/webhooks/spendin
        has_secret:
          type: boolean
          example: true
          description: >-
            Whether a signing secret is set (the secret itself is never
            returned).
      required:
        - webhook_url
        - has_secret
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: X-API-Key

````